net.sourceforge.pmd.lang.java

## Class AbstractJavaHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.java.AbstractJavaHandler

- All Implemented Interfaces:
    LanguageVersionHandler
  Direct Known Subclasses:
    Java13Handler, Java14Handler, Java15Handler, Java16Handler, Java17Handler

      public abstract class AbstractJavaHandler
      extends AbstractLanguageVersionHandler

  Implementation of LanguageVersionHandler for the Java AST. It uses anonymous classes as adapters of the visitors to the VisitorStarter interface.
  Author:
    pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJavaHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VisitorStarter` | `getDataFlowFacade()` Get the DataFlowFacade.
    `DataFlowHandler` | `getDataFlowHandler()` Get the DataFlowHandler.
    `VisitorStarter` | `getDumpFacade(Writer writer, String prefix, boolean recurse)` Get the DumpFacade.
    `RuleViolationFactory` | `getRuleViolationFactory()` Get the RuleViolationFactory.
    `VisitorStarter` | `getSymbolFacade()` Get the SymbolFacade.
    `VisitorStarter` | `getTypeResolutionFacade(ClassLoader classLoader)` Get the TypeResolutionFacade.
    `XPathHandler` | `getXPathHandler()` Get the XPathHandler.

    - ### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

      `getDefaultParserOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.LanguageVersionHandler

      `getParser`

- - ### Constructor Detail

    - #### AbstractJavaHandler

          public AbstractJavaHandler()

  - ### Method Detail

    - #### getDataFlowHandler

          public DataFlowHandler getDataFlowHandler()

      Description copied from interface: `LanguageVersionHandler`
      Get the DataFlowHandler.
      Specified by:
        `getDataFlowHandler` in interface `LanguageVersionHandler`
      Overrides:
        `getDataFlowHandler` in class `AbstractLanguageVersionHandler`

    - #### getXPathHandler

          public XPathHandler getXPathHandler()

      Description copied from interface: `LanguageVersionHandler`
      Get the XPathHandler.
      Specified by:
        `getXPathHandler` in interface `LanguageVersionHandler`
      Overrides:
        `getXPathHandler` in class `AbstractLanguageVersionHandler`

    - #### getRuleViolationFactory

          public RuleViolationFactory getRuleViolationFactory()

      Description copied from interface: `LanguageVersionHandler`
      Get the RuleViolationFactory.

    - #### getDataFlowFacade

          public VisitorStarter getDataFlowFacade()

      Description copied from interface: `LanguageVersionHandler`
      Get the DataFlowFacade.
      Specified by:
        `getDataFlowFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getDataFlowFacade` in class `AbstractLanguageVersionHandler`
      Returns:
        VisitorStarter

    - #### getSymbolFacade

          public VisitorStarter getSymbolFacade()

      Description copied from interface: `LanguageVersionHandler`
      Get the SymbolFacade.
      Specified by:
        `getSymbolFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getSymbolFacade` in class `AbstractLanguageVersionHandler`
      Returns:
        VisitorStarter

    - #### getTypeResolutionFacade

          public VisitorStarter getTypeResolutionFacade(ClassLoader classLoader)

      Description copied from interface: `LanguageVersionHandler`
      Get the TypeResolutionFacade.
      Specified by:
        `getTypeResolutionFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getTypeResolutionFacade` in class `AbstractLanguageVersionHandler`
      Parameters:
        `classLoader` - A ClassLoader to use for resolving Types.
      Returns:
        VisitorStarter

    - #### getDumpFacade

          public VisitorStarter getDumpFacade(Writer writer,
                                     String prefix,
                                     boolean recurse)

      Description copied from interface: `LanguageVersionHandler`
      Get the DumpFacade.
      Specified by:
        `getDumpFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getDumpFacade` in class `AbstractLanguageVersionHandler`
      Parameters:
        `writer` - The writer to dump to.
      Returns:
        VisitorStarter

Copyright © 2002-2013 InfoEther. All Rights Reserved.